# Create Webhook

Source: https://www.digiparser.com/docs/api/createWebhook

# Create Webhook

Server URL`loading...`

POST

/`api`/`v1`/`parsers`/`{parserId}`/`webhooks`

Send

Authorization

Path

Body

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

## [Request Body](#request-body)

`application/json`

url?string

Format`uri`

isActive?boolean

events?array<string\>

## [Response Body](#response-body)

### 201

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X POST "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/webhooks" \  -H "Content-Type: application/json" \  -d '{}'
```

201

```
{
  "id": "string",
  "url": "http://example.com",
  "isActive": true,
  "events": [
    "string"
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```

[

List Webhooks GET

Previous Page

](/docs/api/listWebhooks)[

Update Webhook PATCH

Next Page

](/docs/api/updateWebhook)